> ## Documentation Index
> Fetch the complete documentation index at: https://loops.so/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List campaigns

> Retrieve a paginated list of campaigns.



## OpenAPI

````yaml /openapi.json get /v1/campaigns
openapi: 3.1.0
info:
  title: Loops OpenAPI Spec
  description: This is the OpenAPI Spec for the [Loops API](https://loops.so/docs/api).
  version: 1.21.0
servers:
  - url: https://app.loops.so/api
security: []
tags:
  - name: API key
  - name: Audience segments
    description: View audience segments
  - name: Campaigns
    description: Create and manage email campaigns
  - name: Campaign groups
    description: Organize campaigns into groups
  - name: Components
    description: View email components
  - name: Configuration
    description: View configuration settings
  - name: Contacts
    description: Manage contacts in your audience
  - name: Contact properties
    description: Manage contact properties
  - name: Email messages
    description: Manage email message content for campaigns
  - name: Events
    description: Trigger workflows with events
  - name: Event patterns
    description: View workflow event patterns
  - name: Mailing lists
    description: View mailing lists
  - name: Themes
    description: View email themes
  - name: Transactional emails
    description: Create, manage, and send transactional emails
  - name: Transactional groups
    description: Organize transactional emails into groups
  - name: Uploads
    description: Upload image assets
  - name: Workflows
    description: View and mutate workflow graphs
  - name: Workflow nodes
    description: View and mutate workflow nodes
paths:
  /v1/campaigns:
    get:
      tags:
        - Campaigns
      summary: List campaigns
      description: Retrieve a paginated list of campaigns.
      parameters:
        - name: perPage
          in: query
          required: false
          description: >-
            How many results to return in each request. Must be between 10 and
            50. Default is 20.
          schema:
            type: string
        - name: cursor
          in: query
          required: false
          description: >-
            A cursor to return a specific page of results. Cursors can be found
            from the `pagination.nextCursor` value in each response.
          schema:
            type: string
      responses:
        '200':
          description: Successful.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListCampaignsResponse'
        '400':
          description: Invalid `perPage` value.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CampaignFailureResponse'
        '401':
          description: Invalid API key or content API not enabled for this team.
        '405':
          description: Wrong HTTP request method.
      security:
        - apiKey: []
components:
  schemas:
    ListCampaignsResponse:
      type: object
      properties:
        pagination:
          type: object
          properties:
            totalResults:
              type: number
            returnedResults:
              type: number
            perPage:
              type: number
            totalPages:
              type: number
            nextCursor:
              type:
                - string
                - 'null'
            nextPage:
              type:
                - string
                - 'null'
        data:
          type: array
          items:
            $ref: '#/components/schemas/CampaignResponse'
      required:
        - pagination
        - data
    CampaignFailureResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
    CampaignResponse:
      type: object
      properties:
        id:
          type: string
          description: The ID of the campaign.
        name:
          type: string
          description: The name of the campaign.
        status:
          type: string
          description: The status of the campaign.
          enum:
            - Draft
            - Scheduled
            - Sending
            - Sent
        createdAt:
          type: string
          format: date-time
          description: ISO 8601 timestamp for when the campaign was created.
        updatedAt:
          type: string
          format: date-time
          description: ISO 8601 timestamp for when the campaign was last updated.
        emailMessageId:
          type:
            - string
            - 'null'
          description: The associated email message ID.
        campaignGroupId:
          type:
            - string
            - 'null'
          description: The ID of the campaign group this campaign belongs to..
        mailingListId:
          type:
            - string
            - 'null'
          description: The ID of the mailing list this campaign sends to, if set.
        audienceSegmentId:
          type:
            - string
            - 'null'
          description: The ID of the audience segment this campaign targets, if set.
        audienceFilter:
          $ref: '#/components/schemas/AudienceFilter'
          description: The filter rules that define the audience for this campaign, if set.
        scheduling:
          $ref: '#/components/schemas/CampaignScheduling'
      required:
        - id
        - name
        - status
        - createdAt
        - updatedAt
        - emailMessageId
        - campaignGroupId
        - mailingListId
        - audienceSegmentId
        - audienceFilter
        - scheduling
    AudienceFilter:
      type:
        - object
        - 'null'
      description: A tree of audience conditions combined with `match`.
      properties:
        match:
          type: string
          enum:
            - all
            - any
        conditions:
          type: array
          minItems: 1
          items:
            $ref: '#/components/schemas/AudienceFilterCondition'
      required:
        - match
        - conditions
      additionalProperties: false
    CampaignScheduling:
      type: object
      description: When the campaign is scheduled to send.
      properties:
        method:
          type: string
          enum:
            - now
            - schedule
        timestamp:
          type:
            - string
            - 'null'
          format: date-time
          description: ISO 8601 send time. Null when the method is `now`.
      required:
        - method
        - timestamp
    AudienceFilterCondition:
      oneOf:
        - $ref: '#/components/schemas/PropertyCondition'
        - $ref: '#/components/schemas/OptInCondition'
        - $ref: '#/components/schemas/ActivityCondition'
      discriminator:
        propertyName: type
    PropertyCondition:
      type: object
      description: Matches contacts by a property value.
      properties:
        type:
          type: string
          enum:
            - property
        key:
          type: string
          description: The contact property name.
        operator:
          type: string
          enum:
            - any
            - contains
            - notContains
            - equals
            - notEquals
            - greaterThan
            - lessThan
            - isTrue
            - isFalse
            - empty
            - notEmpty
            - dateEmpty
            - dateNotEmpty
            - after
            - before
            - between
        value:
          description: >-
            The comparison value. Omitted for value-less operators (e.g.
            `isTrue`, `empty`). A `{ from, to }` object for `between`.
          oneOf:
            - type: string
            - type: number
            - type: object
              properties:
                from:
                  type: string
                  format: date-time
                to:
                  type: string
                  format: date-time
              required:
                - from
                - to
      required:
        - type
        - key
        - operator
    OptInCondition:
      type: object
      description: Matches contacts by mailing-list opt-in status.
      properties:
        type:
          type: string
          enum:
            - optIn
        status:
          type:
            - string
            - 'null'
          enum:
            - accepted
            - pending
            - rejected
            - null
      required:
        - type
        - status
    ActivityCondition:
      type: object
      description: Matches contacts by their activity on a campaign or workflow.
      properties:
        type:
          type: string
          enum:
            - activity
        action:
          type: string
          enum:
            - sent
            - opened
            - clicked
        negate:
          type: boolean
        target:
          type: string
          enum:
            - campaign
            - workflow
            - workflowEmail
        id:
          type: string
          description: The ID of the campaign, workflow, or workflow email.
      required:
        - type
        - action
        - negate
        - target
        - id
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````

## Related topics

- [Campaigns](/docs/cli/campaigns.md)
- [List campaign groups](/docs/api-reference/list-campaign-groups.md)
- [API Introduction](/docs/api-reference/intro.md)
- [Zapier integration](/docs/integrations/zapier.md)
- [List management](/docs/contacts/mailing-lists.md)
